stages:
  - build

build_kotlin_application:
  image: adoptopenjdk/maven-openjdk11
  stage: build
  script:
    - mvn clean
    - mvn package
  only:
    - main
    - merge_requests
  artifacts:
    when: always
    reports:
      junit: ./**/target/**/TEST-*.xml
